package br.com.usp.mac0472.cartografiapaulistana.enums;

public enum UsoObra {
	uso_0("CH731", "ARQUITETURA"),
	uso_1("CH731.18", "EDIFÍCIOS"),
	uso_2("CH731.18.1", "EDIFÍCIOS PARA ASSISTÊNCIA SOCIAL"),
	uso_3("CH731.18.2", "EDIFÍCIOS DE SAÚDE"),
	uso_4("CH731.18.3", "EDIFÍCIOS INDUSTRIAIS"),
	uso_5("CH731.18.4", "EDIFÍCIOS COMERCIAIS"),
	uso_6("CH731.18.5", "EDIFÍCIOS PÚBLICOS"),
	uso_7("CH731.18.6", "EDIFÍCIOS PARA COMUNICAÇÕES"),
	uso_8("CH 731.18.7", "EDIFÍCIOS PARA TRANSPORTES"),
	uso_9("CH731.18.8", "EDIFÍCIOS PARA CORREIÇÃO"),
	uso_10("CH731.18.9", "EDIFÍCIOS PARA EDUCAÇÃO E CULTURA"),
	uso_11("CH731.18.10", "EDIFÍCIOS RELIGIOSOS"),
	uso_12("CH731.18.11", "EDIFÍCIOS PARA RECREAÇÃO"),
	uso_13("CH731.18.12", "EDIFÍCIOS RESIDENCIAIS"),
	uso_14("CH731.18.13", "EDIFÍCIOS PARA PESQUISA"),
	uso_15("CH731.18.14", "EDIFÍCIOS DE USO MÚLTIPLO"),
	uso_16("CH731.18.15", "EDIFÍCIOS SUSTENTÁVEIS"),
	uso_17("CH731.18.16", "EDIFÍCIOS ADMINISTRATIVOS"),
	uso_18("CH731.18.1.1", "ALBERGUES NOTURNOS"),
	uso_19("CH731.18.1.2", "INSTITUIÇÕES DE LONGA PERMANÊNCIA PARA IDOSOS"),
	uso_20("CH731.18.1.3", "CRECHES"),
	uso_21("CH731.18.1.4", "ORFANATOS"),
	uso_22("CH731.18.2.1", "AMBULATÓRIOS"),
	uso_23("CH731.18.2.2", "CENTROS DE REABILITAÇÃO (ARQUITETURA)"),
	uso_24("CH731.18.2.3", "CENTROS DE SAÚDE (ARQUITETURA)"),
	uso_25("CH731.18.2.4", "CLÍNICAS"),
	uso_26("CH731.18.2.5", "CONSULTÓRIOS"),
	uso_27("CH731.18.2.6", "HOSPITAIS (ARQUITETURA)"),
	uso_28("CH731.18.2.7", "HOSPITAIS INFANTIS (ARQUITETURA)"),
	uso_29("CH731.18.2.8", "HOSPITAIS PSIQUIÁTRICOS (ARQUITETURA)"),
	uso_30("CH731.18.2.9", "HOSPITAIS VETERINÁRIOS (ARQUITETURA)"),
	uso_31("CH731.18.2.10", "MATERNIDADES"),
	uso_32("CH731.18.3.1", "INDÚSTRIAS (ARQUITETURA)"),
	uso_33("CH731.18.4.1", "ARMAZÉNS"),
	uso_34("CH731.18.4.2", "GARAGENS COMERCIAIS"),
	uso_35("CH731.18.4.3", "LOJAS"),
	uso_36("CH731.18.4.4", "EDITORAS (ARQUITETURA)"),
	uso_37("CH731.18.4.5", "MERCADOS"),
	uso_38("CH731.18.4.6", "PADARIAS"),
	uso_39("CH731.18.4.7", "POSTOS DE COMBUSTÍVEIS"),
	uso_40("CH731.18.4.8", "SHOPPING CENTERS"),
	uso_41("CH731.18.4.9", "SUPERMERCADOS"),
	uso_42("CH731.18.4.10", "OFICINAS"),
	uso_43("CH731.18.4.11", "EDIFÍCIOS DE ESCRITÓRIOS"),
	uso_44("CH731.18.5.1", "EDIFÍCIOS LEGISLATIVOS"),
	uso_45("CH731.18.5.2", "EDIFÍCIOS EXECUTIVOS"),
	uso_46("CH731.18.5.3", "EDIFÍCIOS JUDICIÁRIOS"),
	uso_47("CH731.18.5.4", "EDIFÍCIOS MILITARES"),
	uso_48("CH731.18.6.1", "CENTRAL TELEFÔNICA"),
	uso_49("CH731.18.6.2", "CORREIOS E TELÉGRAFOS"),
	uso_50("CH731.18.6.3", "GRÁFICAS"),
	uso_51("CH731.18.7.1", "ESTAÇÕES FERROVIÁRIAS"),
	uso_52("CH731.18.7.2", "ESTAÇÕES METROVIÁRIAS"),
	uso_53("CH731.18.7.3", "ESTAÇÕES RODOVIÁRIAS"),
	uso_54("CH731.18.8.1", "PRISÕES"),
	uso_55("CH731.18.9.1", "BIBLIOTECAS (ARQUITETURA)"),
	uso_56("CH731.18.9.2", "MUSEUS (ARQUITETURA)"),
	uso_57("CH731.18.9.3", "ESCOLAS (ARQUITETURA)"),
	uso_58("CH731.18.9.4", "UNIVERSIDADES (ARQUITETURA)"),
	uso_59("CH731.18.10.1", "ABADIAS"),
	uso_60("CH731.18.10.2", "CENTROS ESPÍRITAS"),
	uso_61("CH731.18.10.3", "CONVENTOS"),
	uso_62("CH731.18.10.4", "IGREJAS (ARQUITETURA)"),
	uso_63("CH731.18.10.5", "SINAGOGAS"),
	uso_64("CH731.18.10.6", "TEMPLOS"),
	uso_65("CH731.18.10.7", "TERREIROS"),
	uso_66("CH731.18.10.8", "MESQUITAS"),
	uso_67("CH731.18.10.9", "MOSTEIROS"),
	uso_68("CH731.18.10.10", "SANTUÁRIOS"),
	uso_69("CH731.18.11.1", "AUDITÓRIOS"),
	uso_70("CH731.18.11.2", "BARES"),
	uso_71("CH731.18.11.3", "CENTROS COMUNITÁRIOS"),
	uso_72("CH731.18.11.4", "CENTROS CULTURAIS"),
	uso_73("CH731.18.11.5", "CENTROS DE CONVENÇÕES"),
	uso_74("CH731.18.11.6", "CINEMAS (ARQUITETURA)"),
	uso_75("CH731.18.11.7", "CIRCOS"),
	uso_76("CH731.18.11.8", "CAFETERIAS"),
	uso_77("CH731.18.11.9", "CONSTRUÇÕES ESPORTIVAS"),
	uso_78("CH731.18.11.10", "ESTAÇÕES DE ÁGUA"),
	uso_79("CH731.18.11.11", "PARQUES DE DIVERSÕES"),
	uso_80("CH731.18.11.12", "PARQUES INFANTIS"),
	uso_81("CH731.18.11.13", "PAVILHÕES PARA EXPOSIÇÕES"),
	uso_82("CH731.18.11.14", "RESTAURANTES"),
	uso_83("CH731.18.11.15", "SAUNAS"),
	uso_84("CH731.18.11.16", "TEATROS (ARQUITETURA)"),
	uso_85("CH731.18.11.17", "BOATES"),
	uso_86("CH731.18.11.18", "CASAS NOTURNAS"),
	uso_87("CH731.18.12.1", "EDIFÍCIOS RESIDENCIAIS (TIPOLOGIA)"),
	uso_88("CH731.18.12.1.1", "ALOJAMENTOS"),
	uso_89("CH731.18.12.1.2", "APARTAMENTOS"),
	uso_90("CH731.18.12.1.3", "FLATS"),
	uso_91("CH731.18.12.1.4", "HOTÉIS"),
	uso_92("CH731.18.12.1.5", "LOFTS"),
	uso_93("CH731.18.12.1.6", "MOTEIS"),
	uso_94("CH731.18.12.1.7", "CASAS"),
	uso_95("CH731.18.12.1.8", "CASAS HISTÓRICAS"),
	uso_96("CH731.18.12.1.9", "CASAS SUBTERRÂNEAS"),
	uso_97("CH731.18.12.1.10", "CASAS TROGLODITAS"),
	uso_98("CH731.18.12.1.11", "CASA MÓVEL"),
	uso_99("CH731.18.12.1.12", "CASA-REBOQUE"),
	uso_100("CH731.18.12.1.13", "CHALÉS"),
	uso_101("CH731.18.12.1.14", "CASTELOS"),
	uso_102("CH731.18.12.1.15", "CONJUNTOS RESIDENCIAIS"),
	uso_103("CH731.18.12.1.16", "MANSÕES"),
	uso_104("CH731.18.12.1.17", "PALÁCIOS"),
	uso_105("CH731.18.12.1.18", "VILAS"),
	uso_106("CH731.18.12.4", "EDIFÍCIOS RESIDENCIAIS (FUNÇÃO)"),
	uso_107("CH731.18.12.4.1", "CASAS A PROVA DE BOMBA"),
	uso_108("CH731.18.12.4.2", "CASAS ANTISSÍSMICAS"),
	uso_109("CH731.18.12.4.3", "CASAS DE EMERGÊNCIA"),
	uso_110("CH731.18.12.4.4", "CASAS DE FÉRIAS"),
	uso_111("CH731.18.12.4.5", "CASAS DE CAMPO"),
	uso_112("CH731.18.12.4.6", "CASAS DE PRAIA"),
	uso_113("CH731.18.13.1", "LABORATÓRIOS"),
	uso_114("CH731.18.14", "EDIFÍCIOS DE USO MÚLTIPLO"),
	uso_115("CH731.18.15", "EDIFÍCIOS SUSTENTÁVEIS"),
	uso_116("CH731.18.16", "EDIFÍCIOS ADMINISTRATIVOS");

	public final String label;
	public final String value;

	private UsoObra(String value, String label) {
		this.value = value;
		this.label = label;
	}

	public String getValue() {
		return value;
	}
	public String getLabel() {
		return label;
	}
}
